# Uses of Class
com.ngrok.definitions.EndpointOAuthMicrosoft

Packages that use EndpointOAuthMicrosoft
Package
Description
com.ngrok.definitions

- ## Uses of EndpointOAuthMicrosoft in com.ngrok.definitions

  Methods in com.ngrok.definitions that return EndpointOAuthMicrosoft
  Modifier and Type
  Method
  Description
  `EndpointOAuthMicrosoft`
  EndpointOAuthMicrosoft.Builder.`build()`
  Constructs the `EndpointOAuthMicrosoft` instance.
  Methods in com.ngrok.definitions that return types with arguments of type EndpointOAuthMicrosoft
  Modifier and Type
  Method
  Description
  `Optional<EndpointOAuthMicrosoft>`
  EndpointOAuthProvider.`getMicrosoft()`
  configuration for using microsoft as the identity provider
  Methods in com.ngrok.definitions with parameters of type EndpointOAuthMicrosoft
  Modifier and Type
  Method
  Description
  `EndpointOAuthProvider.Builder`
  EndpointOAuthProvider.Builder.`microsoft(EndpointOAuthMicrosoft microsoft)`
  configuration for using microsoft as the identity provider
  Method parameters in com.ngrok.definitions with type arguments of type EndpointOAuthMicrosoft
  Modifier and Type
  Method
  Description
  `EndpointOAuthProvider.Builder`
  EndpointOAuthProvider.Builder.`microsoft(Optional<EndpointOAuthMicrosoft> microsoft)`
  configuration for using microsoft as the identity provider